NamespaceTest
Date: 2016-07-03

com.icl.saxon.pattern

## Class NamespaceTest

- java.lang.Object
- - com.icl.saxon.pattern.Pattern
  - - com.icl.saxon.pattern.NodeTest
    - - com.icl.saxon.pattern.NamespaceTest

-     public final class NamespaceTest
      extends NodeTest

  NodeTest is an interface that enables a test of whether a node has a particular name and type. A NamespaceTest matches the node type and the namespace URI.

- - ### Field Summary

    - ### Fields inherited from class com.icl.saxon.pattern.Pattern

      `originalText, staticContext`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NamespaceTest(NamePool pool, short nodeType, short uriCode)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `getDefaultPriority()` Determine the default priority of this node test when used on its own as a Pattern
    `short` | `getNodeType()` Determine the types of nodes to which this pattern applies.
    `boolean` | `matches(NodeInfo node)` Test whether this node test is satisfied by a given node
    `boolean` | `matches(short nodeType, int fingerprint)` Test whether this node test is satisfied by a given node

    - ### Methods inherited from class com.icl.saxon.pattern.NodeTest

      `matches`

    - ### Methods inherited from class com.icl.saxon.pattern.Pattern

      `getFingerprint, getLineNumber, getStaticContext, getSystemId, make, setOriginalText, setStaticContext, simplify, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NamespaceTest

          public NamespaceTest(NamePool pool,
                       short nodeType,
                       short uriCode)

  - ### Method Detail

    - #### matches

          public final boolean matches(NodeInfo node)

      Test whether this node test is satisfied by a given node
      Specified by:
        `matches` in class `NodeTest`

    - #### matches

          public boolean matches(short nodeType,
                        int fingerprint)

      Test whether this node test is satisfied by a given node
      Specified by:
        `matches` in class `NodeTest`
      Parameters:
        `nodeType` - The type of node to be matched
        `fingerprint` - identifies the expanded name of the node to be matched

    - #### getDefaultPriority

          public final double getDefaultPriority()

      Determine the default priority of this node test when used on its own as a Pattern
      Overrides:
        `getDefaultPriority` in class `Pattern`

    - #### getNodeType

          public short getNodeType()

      Determine the types of nodes to which this pattern applies. Used for optimisation. For patterns that match nodes of several types, return NodeInfo.NODE
      Overrides:
        `getNodeType` in class `Pattern`
      Returns:
        the type of node matched by this pattern. e.g. NodeInfo.ELEMENT or NodeInfo.TEXT